require 'kero/report'
require 'rbconfig'

module Kero
  def Kero::make_filename(*path)
    arch = Config::CONFIG['arch']
    if /linux/i =~ arch
      path.unshift(ENV["HOME"])
    # elsif /win/i =~ arch
    #   # something like this?
    #   path = ["", "Documents", ENV["USER"] ] + path
    end
    return path.join(File::Separator)
  end

  def Kero::load_config(*path)
    name = make_filename(*path)
    begin
      load name
      report "loaded #{name}"
    rescue LoadError
      report "failed to load #{name}"
    end
    # return the config?
  end

  # which one, where?
  def save_config()
    # mkpath()
  end
end
